Bug 74263 - WebPImageDecoder: Increase image/webp decoding performance 10-20%
Summary: WebPImageDecoder: Increase image/webp decoding performance 10-20%
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: noel gordon
URL:
Keywords:
Depends on:
Blocks: 58851
  Show dependency treegraph
 
Reported: 2011-12-11 20:29 PST by noel gordon
Modified: 2011-12-13 22:15 PST (History)
3 users (show)

See Also:


Attachments
Patch (7.59 KB, patch)
2011-12-11 20:31 PST, noel gordon
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description noel gordon 2011-12-11 20:29:08 PST
Data copies from RGB m_rgbBuffer to the pixel backing store, via buffer.setRGBA(), are costly.
Comment 1 noel gordon 2011-12-11 20:31:45 PST
Created attachment 118725 [details]
Patch
Comment 2 WebKit Review Bot 2011-12-12 00:10:52 PST
Comment on attachment 118725 [details]
Patch

Clearing flags on attachment: 118725

Committed r102561: <http://trac.webkit.org/changeset/102561>
Comment 3 WebKit Review Bot 2011-12-12 00:10:56 PST
All reviewed patches have been landed.  Closing bug.
Comment 4 Pascal Massimino 2011-12-12 03:18:53 PST
lgtm. Thanks for doing this!

This means: every incoming features (alpha, etc.) will have to be thought-out mainly from the incremental perspective.
Comment 5 noel gordon 2011-12-13 22:15:19 PST
s/mainly/eventually/, if alpha images did not initially support progressive decodes, I'd use "allDataReceived" in the code.

Of course early in decoding setup, where grab the image size say, is where I'd want to find out if the image has alpha.